#! /bin/sh
#
# Builder.sh
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

rm -f vm.out

# Start the JVM
$BUILDVM edu.utah.janos.nodeos.Main --quiet bees.core.bdomain.BDomain -tcpport 23000 > vm.out 2>&1 &
vm_pid=$!

PYTHONPATH=$TOPDIR/pylib
export PYTHONPATH

# Execute the capability builder script
$PYTHON $1 tcp:localhost/23000
PY_RC=$?

if test $PY_RC -gt 0; then
    kill $vm_pid
    exit $PY_RC
fi

wait
