#
# auth.py
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

# Construct the capabilities used by Authenticators

from bees.tools.beesShell import *

an = nodes[0]

try:
    an.capabilityMap().create("auth")
    an.capabilityMap().create("auth/protocol")
    an.capabilityMap().create("auth/application")
    
    createClasses(node, "auth/protocol/cs", [
        "bees.core.CapabilityEnvelope",
        "bees.core.CapabilityReference",
        "bees.core.resource.NodeOSNeighbor",
        "bees.core.resource.security.VersionString",
        ])

    an.systemClass().create("auth/application/cs", "bees.core.ApplicationBDomain")
    
    an.versionString().create("auth/protocol/unknownVersion", "Unknown 2002")
    an.versionString().create("auth/protocol/dlversion", "DLProtocol 2002")
    an.versionString().create("auth/protocol/idversion", "IDProtocol 2002")

    an.logger().create("auth/protocol/logger.EMERG", "Unknown Protocol Log",
                       "emergency")
    an.logger().create("auth/protocol/logger.DBG", "Unknown Protocol Log")
    an.logger().create("auth/application/logger.EMERG", "Auth App Log",
                       "emergency")
    an.logger().create("auth/application/logger.DBG", "Auth App Log")
    
    an.capabilityMap("auth").writeTo("auth.cap")
finally:
    an.shutdown()
