#
# liveness.py
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

# Construct the capabilities used by the Liveness protocol.

from bees.tools.beesShell import *

an = nodes[0]

try:
    an.capabilityMap().create("liveness")
    an.capabilityMap().create("liveness/protocol")
    an.capabilityMap().create("liveness/application")
    
    createClasses(node, "liveness/protocol/cs", [
        "bees.core.CapabilityEnvelope",
        "bees.core.CapabilityReference",
        "bees.core.resource.Clock",
        "bees.core.resource.NodeOSNeighbor",
        "bees.core.resource.security.VersionString",
        ])
    
    an.versionString().create("liveness/protocol/version", "Liveness 2002")
    
    an.logger().create("liveness/protocol/logger.EMERG", "Liveness Log",
                       "emergency")
    an.logger().create("liveness/protocol/logger.DBG", "Liveness Log")
    an.logger().create("liveness/application/logger.EMERG",
                       "Liveness App Log",
                       "emergency")
    an.logger().create("liveness/application/logger.DBG",
                       "Liveness App Log")
    
    an.capabilityMap("liveness").writeTo("liveness.cap")
finally:
    an.shutdown()
