#
# virusTools.py
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

from beesShell import *

virusNamed = {
    "user/frequency" : "virus/protocol/tf",
    "node" : "virus/application/node",
    "logger" : "virus/application/logger.DBG",
    "user/neighbors" : "neighbors",
    "user/protocolLogger" : "virus/protocol/logger.DBG",
    "user/protocolNode" : "virus/protocol/node",
    "user/protocolClasses" : "virus/protocol/cs",
    }

def createVirusNeighbor(node, port, portRange):
    for remotePort in portRange:
        if not remotePort == port:
            createUDPNeighbor(node, "neighbors/" + `remotePort`,
                              port,
                              remotePort)

def createVirusNeighbors(nodes, portStart):
    portRange = range(portStart, portStart + len(nodes))
    map(createVirusNeighbor, nodes, portRange, [ portRange ] * len(nodes))

def loadVirusCapabilities(nodes):
    map(lambda node: node.capabilityMap().create("virus"), nodes)
    map(lambda node: node.capabilityMap("virus").readFrom("virus.cap"),
        nodes)

def startVirus(nodes):
    map(lambda node: (node.bdomainRegister("primary").bdomain().
                      create("virus/protocol/ec",
                             "bees.core.ProtocolBDomain",
                             args = ["apps.virus.VirusProtocol"])), nodes)
    map(lambda node:
        (node.eventChannel("virus/protocol/ec").
         passCapability(named = {
        "authenticator" : "auth/application/ec",
        "user/basicTimerFrequency" : "virus/protocol/tf",
        "dlversion" : "virus/protocol/dlversion",
        "idversion" : "virus/protocol/idversion",
        "unknownVersion" : "virus/protocol/unknownVersion",
        "node" : "virus/protocol/node",
        "logger" : "virus/protocol/logger.DBG",
        },
                        extras = ["virus/protocol/cs"])),
        nodes)
