/*
 * BDomainLocal.java
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is part of the Janos Bees Software.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */

package bees.core.bdomain;

import java.util.Hashtable;

public class BDomainLocal
{
    protected Object initialValue()
    {
	return null;
    }

    public Object get()
    {
	return get(BDomain.currentBDomain());
    }

    public void set(Object value)
    {
	set(BDomain.currentBDomain(), value);
    }

    Object get(BDomain bdomain)
    {
	Hashtable ht = bdomain.getLocals();
	Object retval;
	
	synchronized(ht)
	{
	    if( !ht.containsKey(this) )
	    {
		set(bdomain, this.initialValue());
	    }
	    retval = ht.get(this);
	}
	return retval;
    }

    void set(BDomain bdomain, Object value)
    {
	Hashtable ht = bdomain.getLocals();

	synchronized(ht)
	{
	    ht.put(this, value);
	}
    }

    public String toString()
    {
	return this.getClass().getName() + "|Local[value="
	    + this.get()
	    + "]";
    }
}
