/*
 * Account.java
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is part of the Janos Bees Software.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation is hereby granted without fee, provided that the above
 * copyright notice and this permission/disclaimer notice is retained in all
 * copies or modified versions, and that both notices appear in supporting
 * documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
 * WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Users are requested, but not required, to send to csl-dist@cs.utah.edu any
 * improvements that they make and grant Univ. of Utah redistribution rights.
 */

package bees.core.resource;

import bees.core.Capability;
import bees.core.CapabilityEnvelope;

public final class Account
    extends AccountSpec
{
    private Account parent;
    
    public Account()
    {
    }

    protected final void fromBytes(byte flattened[], CapabilityEnvelope sub[])
	throws Exception
    {
	super.fromBytes(flattened);

	if( sub != null )
	{
	    this.parent = (Account)sub[0].unseal();
	}
    }

    public synchronized void revoke()
    {
	super.revoke();

	this.parent = null;
    }

    public String toString()
    {
	return "Account["
	    + super.toString()
	    + "; parent="
	    + this.parent
	    + "]";
    }
}
